Subject: Re: Marvell 64360, MPSC Serial Console Problem

From: Suresh Chandra Mannava <[email-masked]>
Date: Fri, 22 Apr 2005 10:37:53 +0530

>
>
> Suresh,
>
> I think you fixed a symptom but not the problem.  By default, the rx 
> buffers are indeed 32 bytes long (i.e., a cacheline in size).  When 
> receiving, the mpsc will generate an interrupt when there is an error, 
> when the buffer is full (32 bytes--unlikely if you're typing), or 
> after a timeout.  I suspect your timeout value is bogus so you don't 
> get the interrupt until you fill the buffer with 32 bytes.  Please 
> compare the platform_data that you pass to the mpsc driver to other, 
> working systems that use the mpsc (e.g., katana and cpci690).  In 
> particular, look at your 'max_idle' value.
>
> Mark
>
>

Mr. Mark,

Thank you for your reply. You exactly pointed out the mistake I had done 
with max_idle.
I didn't initialized the mpsc_pdata structure in platform dependent 
file. Now I initialized max_idle =40.
And every thing is working fine.

Still facing some problems with mv64360 giga Ethernet driver. I will 
come back after a little bit of investigation.

Regards,
Suresh Chandra Mannava